Bug 1962 - Disable orphan calculation by default
: Disable orphan calculation by default
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-24 12:11 MSD by Denis Silakov
Modified: 2013-05-13 11:28 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
message in menu not localized (258.86 KB, image/png)
2013-04-24 18:24 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2013-04-24 12:11:51 MSD
Experiments and profiling show that orphan calculation performed after package removal is very slow. For example, removal of a single package using urpme takes ~2sec in average, while calculation of orphans after removal takes ~6sec. The situation becomes much worse if you have many packages installed in your system - orphan calculation can take several minutes.

Many users don't pay much attention to orphan packages. So there is a suggestion to disable orphan calculation by default and add options to urpme/rpmdrake to enable it.
Comment 1 Denis Silakov 2013-04-24 12:16:14 MSD
Advisory:

Orphan calculation after package removal in urpme/rpmdrake is now optional and disabled by default.

Build lists:
(urpmi)
https://abf.rosalinux.ru/build_lists/1074746
https://abf.rosalinux.ru/build_lists/1074745

(rpmdrake)
https://abf.rosalinux.ru/build_lists/1074760
https://abf.rosalinux.ru/build_lists/1074759
Comment 2 Vladimir Potapov 2013-04-24 18:24:26 MSD
Created attachment 1323 [details]
message in menu not localized
Comment 3 Denis Silakov 2013-04-25 17:02:06 MSD
Russian localization has been added.

Advisory:

Orphan calculation after package removal in urpme/rpmdrake is now optional and disabled by default.

Build lists:
(urpmi)
https://abf.rosalinux.ru/build_lists/1075363
https://abf.rosalinux.ru/build_lists/1075362

(rpmdrake)
https://abf.rosalinux.ru/build_lists/1075357
https://abf.rosalinux.ru/build_lists/1075356
Comment 4 Vladimir Potapov 2013-04-25 17:12:58 MSD
Please, up the version!
Comment 5 Denis Silakov 2013-04-25 17:45:18 MSD
I will, though I don't see much sense in this, since files with the current release were never published.

I understand that they are installed in your system, but maybe it's easier for you to revert to versions from repositories?

Anyway, new build lists:

(urpmi)
https://abf.rosalinux.ru/build_lists/1075376
https://abf.rosalinux.ru/build_lists/1075377

(rpmdrake)
https://abf.rosalinux.ru/build_lists/1075380
https://abf.rosalinux.ru/build_lists/1075379
Comment 6 Vladimir Potapov 2013-04-25 18:05:09 MSD
(In reply to comment #5)
> I will, though I don't see much sense in this, since files with the current
> release were never published.
> 
It's needed, in advisory written version is verified package.
If update query consist many-many containers, it allows me to check the correctness of the publication.
Comment 7 Vladimir Potapov 2013-04-30 11:26:16 MSD
urpmi-6.71-11-rosa2012.1
rpmdrake-5.26.12-17-rosa2012.1.
************************* Advisory **************************
Orphan calculation after package removal in urpme/rpmdrake is now optional and disabled by default.
*************************************************************
QA Verified
Comment 8 Vladimir Potapov 2013-04-30 16:46:00 MSD
STOP!
After texlive (x64) install I see query orphans windows.
Comment 9 Denis Silakov 2013-05-06 14:04:39 MSD
Well, note that the initial advisory was formulated as "Orphan calculation after package *removal* ... is now optional and disabled by default." :)

But I agree that it is more logical to make it optional for package installation, as well.

Here are the updated build lists:

(urpmi)
https://abf.rosalinux.ru/build_lists/1075376
https://abf.rosalinux.ru/build_lists/1075377

(rpmdrake)
https://abf.rosalinux.ru/build_lists/1077374
https://abf.rosalinux.ru/build_lists/1077375
Comment 10 Vladimir Potapov 2013-05-06 14:30:29 MSD
Oh, please up the version...
Comment 11 Denis Silakov 2013-05-06 14:41:43 MSD
You mean urpmi? It was not updated (the issue you've found concerns rpmdrake code only), so I've just used the old urpmi containers.

As for rpmdrake, I've bumped its release (to 18).
Comment 12 Vladimir Potapov 2013-05-06 16:03:27 MSD
OK, the package in testing
Comment 13 Vladimir Potapov 2013-05-06 17:38:11 MSD
urpmi-6.71-11-rosa2012.1
rpmdrake-5.26.12-18-rosa2012.1
****************** Advisory *******************
Orphan calculation after package removal in urpme/rpmdrake is now optional and disabled by default.
***********************************************
QA Verified